Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364605 - Review Request: gap-pkg-hap - Homological Algebra Programming for GAP
Summary: Review Request: gap-pkg-hap - Homological Algebra Programming for GAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 22:25 UTC by Jerry James
Modified: 2016-08-27 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-26 10:22:54 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2016-08-05 22:25:23 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-hap/gap-pkg-hap.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-hap/gap-pkg-hap-1.11-1.fc26.src.rpm
Fedora Account System Username: jjames
Description: 
HAP is a homological algebra library for use with the GAP computer
algebra system, and is still under development.  Its initial focus is on
computations related to the cohomology of groups.  Both finite and
infinite groups are handled, with emphasis on integral coefficients.

Recent additions include some functions for computing homology of
crossed modules and simplicial groups, and also some functions for
handling simplicial complexes, cubical complexes and regular
CW-complexes in the context of topological data analysis.

Comment 1 gil cattaneo 2016-08-10 21:54:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
 IGNORE
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file copyright.gap is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 76 files have unknown license. Detailed
     output of licensecheck in /home/gil/1364605-gap-pkg-
     hap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-hap-1.11-1.fc26.noarch.rpm
          gap-pkg-hap-1.11-1.fc26.src.rpm
gap-pkg-hap.noarch: W: spelling-error Summary(en_US) Homological -> Horological, Homo logical, Homo-logical
gap-pkg-hap.noarch: W: spelling-error %description -l en_US homological -> horological, homo logical, homo-logical
gap-pkg-hap.noarch: W: spelling-error %description -l en_US cohomology -> cosmology, mycology
gap-pkg-hap.noarch: W: spelling-error %description -l en_US homology -> horology, homo logy, homo-logy
gap-pkg-hap.noarch: W: spelling-error %description -l en_US simplicial -> simplicity, simplistic
gap-pkg-hap.noarch: W: only-non-binary-in-usr-lib
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Resolutions.xml
gap-pkg-hap.noarch: E: zero-length /usr/lib/gap/pkg/Hap/doc/HapMan.bbl
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Miscellaneous.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Functors.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Nonabelian.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Lie.xml
gap-pkg-hap.src: W: spelling-error Summary(en_US) Homological -> Horological, Homo logical, Homo-logical
gap-pkg-hap.src: W: spelling-error %description -l en_US homological -> horological, homo logical, homo-logical
gap-pkg-hap.src: W: spelling-error %description -l en_US cohomology -> cosmology, mycology
gap-pkg-hap.src: W: spelling-error %description -l en_US homology -> horology, homo logy, homo-logy
gap-pkg-hap.src: W: spelling-error %description -l en_US simplicial -> simplicity, simplistic
2 packages and 0 specfiles checked; 1 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-hap.noarch: W: spelling-error Summary(en_US) Homological -> Horological, Homo logical, Homo-logical
gap-pkg-hap.noarch: W: spelling-error %description -l en_US homological -> horological, homo logical, homo-logical
gap-pkg-hap.noarch: W: spelling-error %description -l en_US cohomology -> cosmology, mycology
gap-pkg-hap.noarch: W: spelling-error %description -l en_US homology -> horology, homo logy, homo-logy
gap-pkg-hap.noarch: W: spelling-error %description -l en_US simplicial -> simplicity, simplistic
gap-pkg-hap.noarch: W: only-non-binary-in-usr-lib
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Resolutions.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Miscellaneous.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Functors.xml
gap-pkg-hap.noarch: E: zero-length /usr/lib/gap/pkg/Hap/doc/HapMan.bbl
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Lie.xml
gap-pkg-hap.noarch: W: file-not-utf8 /usr/lib/gap/pkg/Hap/doc/Nonabelian.xml
1 packages and 0 specfiles checked; 1 errors, 11 warnings.



Requires
--------
gap-pkg-hap (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    coreutils
    gap-core
    gap-pkg-polycyclic
    xdg-utils



Provides
--------
gap-pkg-hap:
    gap-pkg-hap



Source checksums
----------------
http://hamilton.nuigalway.ie/Hap/hap1.11.tar.gz :
  CHECKSUM(SHA256) this package     : 12ddc758eb9b4c441e69a90043215a5ab6065279a05e3df4bc70e2a6e32b534d
  CHECKSUM(SHA256) upstream package : 12ddc758eb9b4c441e69a90043215a5ab6065279a05e3df4bc70e2a6e32b534d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1364605 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Approved

Comment 2 Gwyn Ciesla 2016-08-15 14:07:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gap-pkg-hap

Comment 3 Fedora Update System 2016-08-15 15:10:47 UTC
gap-pkg-hap-1.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c5ea14c03

Comment 4 Fedora Update System 2016-08-15 15:10:53 UTC
gap-pkg-hap-1.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e369cda956

Comment 5 Fedora Update System 2016-08-15 18:26:36 UTC
gap-pkg-hap-1.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c5ea14c03

Comment 6 Fedora Update System 2016-08-16 05:55:05 UTC
gap-pkg-hap-1.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e369cda956

Comment 7 Fedora Update System 2016-08-16 23:24:50 UTC
gap-pkg-hap-1.11-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c5ea14c03

Comment 8 Fedora Update System 2016-08-16 23:25:45 UTC
gap-pkg-hap-1.11-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e369cda956

Comment 9 Fedora Update System 2016-08-17 19:54:40 UTC
gap-pkg-hap-1.11-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c5ea14c03

Comment 10 Fedora Update System 2016-08-18 01:52:50 UTC
gap-pkg-hap-1.11-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e369cda956

Comment 11 Fedora Update System 2016-08-26 10:22:52 UTC
gap-pkg-hap-1.11-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-27 10:31:42 UTC
gap-pkg-hap-1.11-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.